/*
 * Papillon - Solaris security module -  http://www.roqe.org/papillon
 * Copyright (c) 2000-2002 Konrad Rieck <kr@roqe.org>
 * $Id: chfctl.h,v 1.1.1.1 2002/12/23 16:30:53 rocky Exp $
 */

#ifndef _PAPCTL_H
#define _PAPCTL_H

/*
 * Avoid working with too complex macros. Erhmm.
 */
#define F(X) (X==ON)?"on":"off"
#define P(X) (X==NONE)?"none":(X==WARN)?"warn":"deny"

/*
 * Possible error values.
 */
enum err_msg { NO_AUTH, NOT_LOADED = SIGSYS, INVALID_VALUE,
    INVALID_VARIABLE, MEM_FAULT, CONFIG_BLOCKED
};


#endif				/* _PAPCTL_H */
