/*****************************************************************************
 This file is part of the Changedfiles system. 
 $Id: libc.h,v 1.3 2003/02/03 04:43:01 rocky Exp $

 This product includes software developed by Konrad Rieck.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or (at
 your option) any later version.

 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 USA
******************************************************************************/
/*
  This file contains things that would normally be in libc, but since
  we're running in the kernel are not available.
*/


/*!
  Turn unsigned int i into an ASCII string stored into str
  and return the length of that. Length 0 means error.
*/
unsigned int chf_uitostr ( char * str, unsigned int i);

/*!
  Classical memset implementation used for compilers that play dirty macro
  tricks with me and my headers and rely on memset(). :(
*/
void * chf_memset  (void *sp1, int c, size_t n);
char * chf_strncat (char *s1, const char *s2, size_t n);
char * chf_strncpy (char *s1, const char *s2, size_t n);
int    chf_strlen  (const char * mstr); 


