/*
 * Papillon - Solaris security module -  http://www.roqe.org/papillon
 * Copyright (c) 2000-2002 Konrad Rieck <kr@roqe.org>
 * $Id: utils.h,v 1.4 2003/01/11 13:04:03 rocky Exp $
 */

#ifndef _UTILS_H
#define _UTILS_H

extern const char *op2str[];

/*!
  Classical memset implementation used for compilers that play dirty macro
  tricks with me and my headers and rely on memset(). :(
*/
void *memset(void *sp1, int c, size_t n);

/*!
   This is the routine logs what's happening so that user-space
   daemon can take action.
*/
int chf_log_filename( char * oldname, char * newname, 
		      const chf_syscall_op operation);


#endif				/* _UTILS_H */
